%define module	XML-Encoding
%define version	2.01
%define release	%mkrel 1

Summary:	A perl module for parsing XML encoding maps
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch
BuildRequires: perl(XML::Parser)

%description
The %{module} perl module, which is built as a subclass of
XML::Parser, provides a parser for encoding map files, which are XML
files.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{_bindir}/*
%{perl_vendorlib}/XML/*



%changelog
* Wed Jul 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.01-1mdv2008.0
+ Revision: 55600
- new version
- spec file clean

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-8mdv2008.0
+ Revision: 23262
- buildrequires
- add check section and test


* Mon Jan 10 2005 Stefan van der Eijk <stefan@mandrake.org> 1.01-7mdk
- upload to contrib

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.01-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-5mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-4mdk
- enhanced summary & description
- fix license ("This program is free software; you can redistribute it
  and/or modify it under the same terms as Perl itself")

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.01-3mdk
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.01-2mdk
- BuildRequires: perl-devel

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 1.01-1mdk
- Newly introduced for Foomatic.

